summaryrefslogtreecommitdiff
path: root/misc/tests/git-server-http-protocol.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/tests/git-server-http-protocol.sh')
-rwxr-xr-xmisc/tests/git-server-http-protocol.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/misc/tests/git-server-http-protocol.sh b/misc/tests/git-server-http-protocol.sh
new file mode 100755
index 0000000..818412d
--- /dev/null
+++ b/misc/tests/git-server-http-protocol.sh
@@ -0,0 +1,28 @@
+#! /usr/bin/env bash
+
+tmp=`mktemp -d`
+
+cd $tmp
+
+# HTTP protocol
+git clone http://git.ilvokhin.com/infra.git > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ echo "http: OK"
+ rm -rf infra
+else
+ echo "http: FAIL"
+fi
+
+# HTTPS protocol
+git clone https://git.ilvokhin.com/infra.git > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ echo "https: OK"
+ rm -rf infra
+else
+ echo "https: FAIL"
+fi
+
+cd - > /dev/null
+rm -rf $tmp